# $Revision: 1.22 $, $Date: 2012/04/02 21:15:37 $
Summary:	GData access library
Name:		libgdata
Version:	0.12.0
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdata/0.12/%{name}-%{version}.tar.xz
# Source0-md5:	ccf0bd3da08a9e86acf704ef71fb73d6
URL:		http://live.gnome.org/libgdata
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.9
BuildRequires:	gdk-pixbuf2-devel >= 2.14
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.30.0
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk+3-devel
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	intltool >= 0.40.0
BuildRequires:	liboauth-devel >= 0.9.4
BuildRequires:	libsoup-devel >= 2.38.0
BuildRequires:	libsoup-gnome-devel >= 2.38.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libsoup >= 2.38.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgdata is a GLib-based library for accessing online service APIs
using the GData protocol - most notably, Google's services. It
provides APIs to access the common Google services, and has full
asynchronous support.

%package devel
Summary:	Support files necessary to compile applications with libgdata
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libsoup-gnome-devel >= 2.38.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Headers, and support files necessary to compile applications using
libgdata.

%package static
Summary:	libgdata static libraries
Summary(pl.UTF-8):	Statyczne biblioteki libgsf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Package contains static libraries.

%package apidocs
Summary:	libgdata API documentation
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgdata API documentation.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgdata.la

%find_lang gdata

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gdata.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%attr(755,root,root) %{_libdir}/libgdata.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdata.so.13
%{_libdir}/girepository-1.0/GData-0.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgdata.so
%{_datadir}/gir-1.0/GData-0.0.gir
%{_includedir}/libgdata
%{_pkgconfigdir}/libgdata.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgdata.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdata

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgdata.spec,v $
Revision 1.22  2012/04/02 21:15:37  megabajt
- updated to 0.12.0

Revision 1.21  2012/04/01 17:22:24  megabajt
- merged from DEVEL

Revision 1.19.2.2  2012/03/12 21:05:33  megabajt
- updated to 0.11.1

Revision 1.20  2012/03/12 17:46:22  megabajt
- updated to 0.10.2

Revision 1.19.2.1  2012/03/10 22:28:41  megabajt
- updated to 0.11.0

Revision 1.19  2011/09/19 16:53:35  megabajt
- updated to 0.10.1

Revision 1.18  2011/09/07 14:00:21  wiget
- BR: liboauth-devel

Revision 1.17  2011/09/02 16:18:50  wiget
- switch to .xz

Revision 1.16  2011/09/01 23:09:34  patrys
- 0.10.0

Revision 1.15  2011/06/09 18:02:51  lisu
- BR: libproxy-devel

Revision 1.14  2011/04/28 10:44:40  megabajt
- updated to 0.8.1

Revision 1.13  2011/03/29 07:59:33  lisu
- merged with DEVEL

Revision 1.12  2011/02/03 21:23:17  atler
- -devel should R libsoup-gnome-devel instead of libsoup-devel

Revision 1.11.2.2  2011/03/10 20:11:16  wiget
- up to 0.8.0 (soname change)
- drop libtool file

Revision 1.11.2.1  2011/02/03 19:33:55  wiget
- 0.7.1 (soname change)

Revision 1.11  2010/12/17 09:47:24  caleb
- Up to 0.6.6

Revision 1.10  2010/09/30 13:40:58  megabajt
- updated to 0.6.5

Revision 1.9  2010/08/23 21:50:04  hawk
- release 2

Revision 1.8  2010/03/30 19:15:30  megabajt
- updated to 0.6.4

Revision 1.7  2010/03/19 23:02:26  megabajt
- updated to 0.6.3

Revision 1.6  2010/02/21 15:56:43  megabajt
- updated to 0.6.2
- proper URL

Revision 1.5  2010/02/18 00:25:29  sparky
- BR: gir-repository-devel

Revision 1.4  2010/02/17 17:11:33  megabajt
- updated to 0.6.1 (new soname)

Revision 1.3  2009/11/17 14:36:46  zbyniu
- missing BRs

Revision 1.2  2009/07/21 08:15:55  patrys
- 0.4.0

Revision 1.1  2009/05/28 12:16:58  patrys
- initial PLD release
